Using
`GET /version` — version handshake. Requires any valid API key.
applies to v0.5.1GET
/version
const url = 'https://example.com/version';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/version \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Server and API contract version
Media typeapplication/json
object
api_version
required
API contract version — identical to the contract’s info.version.
string
server_version
required
Server version (CARGO_PKG_VERSION).
string
Example generated
{ "api_version": "example", "server_version": "example"}Unauthorized — a valid API key is required
Media typetext/plain
string